Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANSP

    java.lang.Object
      org.netlib.lapack.DLANSP

    public class DLANSP

extends java.lang.Object

    DLANSP is a simplified interface to the JLAPACK routine dlansp.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANSP  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  real symmetric matrix A,  supplied in packed form.
     *
     *  Description
     *  ===========
     *
     *  DLANSP returns the value
     *
     *     DLANSP = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANSP as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is supplied.
     *          = 'U':  Upper triangular part of A is supplied
     *          = 'L':  Lower triangular part of A is supplied
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, DLANSP is
     *          set to zero.
     *
     *  AP      (input) DOUBLE PRECISION array, dimension (N*(N+1)/2)
     *          The upper or lower triangle of the symmetric matrix A, packed
     *          columnwise in a linear array.  The j-th column of A is stored
     *          in the array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
     *          WORK is not referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLANSP()`

Method Summary
`static double` | `DLANSP(java.lang.String norm, java.lang.String uplo, int n, double[] ap, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANSP

    public DLANSP()

Method Detail

### DLANSP

    public static double DLANSP(java.lang.String norm,
                                java.lang.String uplo,
                                int n,
                                double[] ap,
                                double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD